<template>
  <!-- 修改请车作业页面 -->
  <div id="contractDetails">
    <page-title>请车作业</page-title>
    <div class="main">
      <span class="text">修改请车作业</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="303" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
import { sjTime } from "@/utils/sharedJsFile";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑请车作业
      this.$axios
        .post("/api/v1/tms/getWagonPleaseById/" + this.$route.params.resultId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let tmstrainPleaseApproveResult = {
        resultId: this.$route.params.resultId,
        resultPleaseNumber: this.form1.resultPleaseNumber,
        resultPleaseDate: sjTime(this.form1.resultPleaseDate),
      };
      function isNumber() {
        var value = tmstrainPleaseApproveResult.resultPleaseNumber;
        //验证是否为数字
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
          return false;
        } else {
          return true;
        }
      }
      var val = this.value;
      if (
        tmstrainPleaseApproveResult.resultId == null ||
        tmstrainPleaseApproveResult.resultPleaseNumber == null ||
        tmstrainPleaseApproveResult.resultPleaseDate == null
      )
        this.$message.error("存在空值！");
      else if (!isNumber(val)) this.$message.error("请车数必须是数字！");
      else
        this.$axios
          .post(
            "/api/v1/tms/updateApproveWagonPlease",
            tmstrainPleaseApproveResult
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$message({
                type: "success",
                message: "修改成功!",
              });
            }
            this.$router.go(-1);
          });
    },
  },
};
</script>
<style lang="scss">
</style>